1

during installing vmd-1.9.2 after giving the command

./configure Makefile

The following error shows, what to do ?

a@a-PP-990:~/Downloads/vmd-1.9.2$ ./configure Makefile  
Architecture Makefile not supported (IRIX6 IRIX6_64 FREEBSD FREEBSDAMD64 HPUX11 AIX4 AIX5 AIX5_64 AIX6_64 ANDROIDARMV7A BLUEGENEQ BLUEWATERS LINUX LINUXALPHA LINUXAMD64 LINUXIA64 LINUXCARMA LINUXPPC LINUXPPC64 MACOSX MACOSXX86 MACOSXX86_64 TRU64 SOLARIS2 SOLARIS2_64 SOLARISX86 SOLARISX86_64 WIN32 WIN64)

I am installing vmd 64 bit.

4

Usually the build process from the ~/Downloads/vmd-1.9.2/ folder should be:

  1. ./configure
  2. make
  3. sudo make install

I am not familiar with vmd at all to know if it is possible to run on your system, but those are the steps that I have followed on the majority of installs from source.

Hope this helps.

  • Thanks for your reply.yes thats fine..but why './configure Makefile' giving thats output??Is it any problem of vmd or my system? – atanu Jul 23 '15 at 5:41
  • 3
    @atanu The command is just ./configure by itself. The Makefile is used for the make and make install commands. – Terrance Jul 23 '15 at 5:44
  • @atanu Here is a better overview of what Makefiles do: codeproject.com/Articles/31488/Makefiles-in-Linux-An-Overview – Terrance Jul 23 '15 at 5:52
  • 1
    Or sudo checkinstall :) – A.B. Jul 24 '15 at 5:18

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.